{% extends "base.html" %}
{% block content %}
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header card-header-info">
                    <h4 class="card-title"><b>Usuário do sistema</b></h4>
                    <p class="card-category"><b>Cadastro necessário para informar o desaparecimento de um familiar.</b></p>
                    <p class="card-title"><b>Todos os campos que possuem (*) são requeridos para o cadastro</b></p>
                </div>
                <div class="card-body">
                    <form action="{{ url_for('user_controller.create_user') }}" method="post"
                          enctype="multipart/form-data">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <div class="btn btn-info">
                                        <label for="input-file" class="button" style="color: white">
                                            <i class="material-icons">camera_alt</i>
                                            Sua Foto
                                        </label>
                                        <input type="file" id="input-file" name="file" value=""/>
                                        <span id='file-name'></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Nome *</label>
                                    <input type="text" required="required" maxlength="150" name="name"
                                           class="form-control">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Email *</label>
                                    <input type="email" required="required" maxlength="150" name="email"
                                           class="form-control">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Senha *</label>
                                    <input type="password" minlength="6" maxlength="10" required="required" name="password"
                                           class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Telefone fixo</label>
                                    <input type="text" data-mask="(00)0000-0000"
                                           data-mask-selectonfocus="true" name="phone" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Celular</label>
                                    <input type="text" data-mask="(00)00000-0000"
                                           data-mask-selectonfocus="true" name="cell_phone" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label class="bmd-label-floating">Termos de uso</label>
                                    <input type="checkbox" required="required" name="accept_terms" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <a target="_blank" href="{{ url_for('commons_controller.terms') }}">Politica de privacidade</a>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-info pull-right">Enviar</button>
                        <div class="clearfix"></div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            var $input = document.getElementById('input-file'),
                $fileName = document.getElementById('file-name');

            $input.addEventListener('change', function () {
                $fileName.textContent = this.value + ' tamanho ' + this.files[0].size / 1024 / 1024 + "MB";

            });
        });
    </script>
{% endblock %}